ScriptRunner (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util.optional, class: ScriptRunner

Package org.apache.tools.ant.util.optional

# Class ScriptRunner

java.lang.Object
org.apache.tools.ant.util.ScriptRunnerBase
org.apache.tools.ant.util.optional.ScriptRunner

Direct Known Subclasses:
  `ScriptRunner`

public class ScriptRunner extends ScriptRunnerBase
This class is used to run BSF scripts

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptRunner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `evaluateScript(String execName)`
  Evaluate the script.
  `void`
  `executeScript(String execName)`
  Do the work.
  `String`
  `getManagerName()`
  Get the name of the manager prefix.
  `boolean`
  `supportsLanguage()`
  Check if bsf supports the language.

  ### Methods inherited from class org.apache.tools.ant.util.ScriptRunnerBase

  `addBean, addBeans, addText, bindToComponent, bindToComponentMinimum, checkLanguage, clearScript, getBeans, getCompiled, getKeepEngine, getLanguage, getProject, getScript, getScriptClassLoader, loadResource, loadResources, replaceContextLoader, restoreContextLoader, setCompiled, setEncoding, setKeepEngine, setLanguage, setProject, setScriptClassLoader, setSrc`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptRunner

    public ScriptRunner()

- ## Method Details

  - ### getManagerName

    public String getManagerName()
    Get the name of the manager prefix.
    Specified by:
      `getManagerName` in class `ScriptRunnerBase`
    Returns:
      "bsf"

  - ### supportsLanguage

    public boolean supportsLanguage()
    Check if bsf supports the language.
    Specified by:
      `supportsLanguage` in class `ScriptRunnerBase`
    Returns:
      true if bsf can create an engine for this language.

  - ### executeScript

    public void executeScript(String execName) throws BuildException
    Do the work.
    Specified by:
      `executeScript` in class `ScriptRunnerBase`
    Parameters:
      `execName` - the name that will be passed to BSF for this script execution.
    Throws:
      `BuildException` - if something goes wrong executing the script.

  - ### evaluateScript

    public Object evaluateScript(String execName) throws BuildException
    Evaluate the script.
    Specified by:
      `evaluateScript` in class `ScriptRunnerBase`
    Parameters:
      `execName` - the name that will be passed to BSF for this script execution.
    Returns:
      the result of the evaluation
    Throws:
      `BuildException` - if something goes wrong executing the script.